#include <cppcutter.h>
#include <particle.h>
#include <iostream>
#include <edit.cc>
using namespace std;
namespace test_edit
{

  void cut_setup()
  {
  }
  void cut_teardown()
  {
  }

  void test_edit(void)
  {
    cut_assert_equal_int(3,LevenshteinDistance::edit("kitten","sitting"));
    cut_assert_equal_int(1,LevenshteinDistance::edit("あかまきがみ","あおまきがみ"));
    cut_assert_equal_int(3,LevenshteinDistance::edit("あかMAXがみ","あおMINがみ"));
    cut_assert_equal_int(4,LevenshteinDistance::edit("情報工学","画像情報"));
  }
}
